export interface Serializer<V> {
    readonly deserialize: (value: string | null) => V | undefined | null;
    readonly serialize: (value?: V) => string | undefined | null;
}
export declare const arrayStringSerializer: (separator: string) => Serializer<readonly string[]>;
export declare const arrayIntSerializer: (separator: string) => Serializer<readonly number[]>;
export declare const arrayFloatSerializer: (separator: string) => Serializer<readonly number[]>;
export declare const DEFAULT_SEPARATOR = "_";
export declare const serializers: {
    arrayFloat: Serializer<readonly number[]>;
    arrayInt: Serializer<readonly number[]>;
    arrayString: Serializer<readonly string[]>;
    boolean: Serializer<boolean>;
    date: (locale?: string, timeZone?: string) => Serializer<Date>;
    float: Serializer<number>;
    int: Serializer<number>;
    string: Serializer<string>;
};
