/// <reference types="node" resolution-mode="require"/>
import React, { FC, ReactNode } from 'react';
import type { UrlObject } from 'url';
interface TransitionOptions {
    readonly shallow?: boolean;
    readonly locale?: string | false;
    readonly scroll?: boolean;
}
declare type Url = UrlObject | string;
interface Props {
    readonly initialClientOnlyAsPath: string;
    readonly asPath: string;
    readonly defaultPushOptions?: TransitionOptions;
    readonly defaultReplaceOptions?: TransitionOptions;
    readonly routerPush?: (url: Url, as?: UrlObject, options?: TransitionOptions) => Promise<boolean>;
    readonly routerReplace?: (url: Url, as?: UrlObject, options?: TransitionOptions) => Promise<boolean>;
}
export declare const GeschichteForNextjs: FC<Props>;
type ClientOnlyProps = Pick<Props, 'defaultPushOptions' | 'defaultReplaceOptions' | 'routerPush' | 'routerReplace'> & {
    readonly children: ReactNode;
    readonly omitQueries?: boolean;
};
export declare const GeschichteForNextjsWrapper: FC<ClientOnlyProps>;
declare const _default: React.NamedExoticComponent<ClientOnlyProps>;
export default _default;
